Commit eb0e7c23 authored by Ariel Rios's avatar Ariel Rios Committed by Ariel Rios

Configure is now able to detect whether a recent version of guile is

2001-08-11  Ariel Rios <ariel@linuxppc.org>

        * configure.in: Configure is now able to detect
        whether a recent version of guile is available
        to be able to build the guile plugin.
parent 0bf4c2aa
2001-08-11 Ariel Rios <ariel@linuxppc.org>
* configure.in: Configure is now able to detect
whether a recent version of guile is available
to be able to build the guile plugin.
2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de> 2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de>
* src/sheet-object.c: Revert below removal of "Old crufty IO". In * src/sheet-object.c: Revert below removal of "Old crufty IO". In
......
2001-08-11 Ariel Rios <ariel@linuxppc.org>
* configure.in: Configure is now able to detect
whether a recent version of guile is available
to be able to build the guile plugin.
2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de> 2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de>
* src/sheet-object.c: Revert below removal of "Old crufty IO". In * src/sheet-object.c: Revert below removal of "Old crufty IO". In
......
2001-08-11 Ariel Rios <ariel@linuxppc.org>
* configure.in: Configure is now able to detect
whether a recent version of guile is available
to be able to build the guile plugin.
2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de> 2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de>
* src/sheet-object.c: Revert below removal of "Old crufty IO". In * src/sheet-object.c: Revert below removal of "Old crufty IO". In
......
2001-08-11 Ariel Rios <ariel@linuxppc.org>
* configure.in: Configure is now able to detect
whether a recent version of guile is available
to be able to build the guile plugin.
2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de> 2001-08-11 Lutz Mller <urc8@rz.uni-karlsruhe.de>
* src/sheet-object.c: Revert below removal of "Old crufty IO". In * src/sheet-object.c: Revert below removal of "Old crufty IO". In
......
AC_INIT(src/gnumeric.h) AC_INIT(src/gnumeric.h)
dnl Debian Autoconf 2.13 trips on this configure.in dnl Debian Autoconf 2.13 trips on this configure.in
dnl AC_PREREQ(2.52) dnl AC_PREREQ(2.52)
...@@ -71,7 +71,35 @@ AC_SUBST(READLINE_LIB) ...@@ -71,7 +71,35 @@ AC_SUBST(READLINE_LIB)
AC_SUBST(GUILE_LIBS) AC_SUBST(GUILE_LIBS)
AC_SUBST(GUILE_INCS) AC_SUBST(GUILE_INCS)
guile_msg='not requested' guile_msg='not requested'
AC_ARG_WITH(guile,[--with-guile Include Guile support],[GNOME_CHECK_GUILE])
#check for guile 1.5
try_guile=true
guile_msg="no"
build_guile=false
AC_ARG_WITH(guile,
[--{with,without}-guile Compile with Guile support or without it],
if test x$withval = xno; then
try_guile=false
fi
)
if $try_guile; then
AC_MSG_CHECKING(for guile >= 1.5)
if test "`guile -c '(display (string>=? (version) "1.4.1"))'`" != "#t"; then
AC_MSG_RESULT([Your Guile is too old. You need Guile 1.5 or later.])
else
AC_MSG_RESULT(found)
guile_msg="yes"
build_guile=true
fi
fi
AM_CONDITIONAL(HAVE_GUILE, $build_guile)
if $build_guile; then
GNOME_CHECK_GUILE
fi
AC_SUBST(CFLAGS) AC_SUBST(CFLAGS)
AC_SUBST(CPPFLAGS) AC_SUBST(CPPFLAGS)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment